declare global {
  const $__DEV__: boolean;
}

declare module 'vue' {
  export interface ComponentCustomProperties {
    $__DEV__: boolean;
  }

  import type { ComponentOptions } from 'vue';

  const Component: ComponentOptions;
  export default Component;
}

declare module '*.md' {
  import type { ComponentOptions } from 'vue';

  const Component: ComponentOptions;
  export default Component;
}

export {};
